"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const McClient_1 = require("./innerClient/McClient");
const MsClient_1 = require("./innerClient/MsClient");
class TimeSyncerClient {
    constructor(socket, options) {
        if (options && options.microTimePrecision)
            this._innerClient = new McClient_1.McClient(socket);
        else
            this._innerClient = new MsClient_1.MsClient(socket);
        if (options && options.autoSync) {
            setInterval(this._innerClient.synchronize(), options.autoSyncTime || 1000);
        }
    }
    synchronize() {
        this._innerClient.synchronize();
    }
    get timeOffset() {
        return this._innerClient.timeOffset;
    }
}
exports.TimeSyncerClient = TimeSyncerClient;
