"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractInnerClient_1 = require("./AbstractInnerClient");
const microtime = require("microtime");
class McClient extends AbstractInnerClient_1.AbstractInnerClient {
    constructor(socket) {
        super(socket);
        this._socket = socket;
        this._socket.on('AckMc', (t0, t1) => {
            this.computeSync(t0, t1, microtime.now());
        });
    }
    startSync() {
        this._socket.emit('SyncMc', microtime.now());
    }
    computeSync(t0, t1, t2) {
        const diff = ((t1 - t0) + (t1 - t2)) / 2;
        this._offsets.unshift(diff);
        if (this._offsets.length > 50)
            this._offsets.pop();
    }
}
exports.McClient = McClient;
