"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractInnerClient_1 = require("./AbstractInnerClient");
class MsClient extends AbstractInnerClient_1.AbstractInnerClient {
    constructor(socket) {
        super(socket);
        this._socket = socket;
        this._socket.on('AckMs', (t0, t1) => {
            this.computeSync(t0, t1, Date.now());
        });
    }
    startSync() {
        this._socket.emit('SyncMs', Date.now());
    }
    computeSync(t0, t1, t2) {
        const diff = ((t1 - t0) + (t1 - t2)) / 2;
        this._offsets.unshift(diff);
        if (this._offsets.length > 10)
            this._offsets.pop();
    }
}
exports.MsClient = MsClient;
